
// Section of initial settings

#define SetAltPin // Uncomment if ALTERNATIVE pins are used to connect
// # define SetConnectPC // Comment out if you don't need to connect to PC at all

 #define Set_Picture // If you need to display icons
 #define SetPicHeater // Uncomment if you need a picture on the start screen

 #define SetEncoder // If encoder is used
 // # define SetAnalogBatton // If using an analog keyboard
 // # define SetDigitBatton // If using a numeric keypad

 #define SetKalk // set the input of parameters from the touch buttons, if you comment out, they will not be
 #define SetQvard 1 // set the default bottom protection 0 - off, 1 - on

 #define HeavyBottom 1 // If inertial bottom: 0 - off, 1 - on, enable preheating
 #define HeavyTemp 45 // temperature to which the board heats up and then turns on the main profile
 // #define HeavyPause 40 // or pause with% power down !!! until this parameter is used !!!
 #define HeavyPower 30 // maximum power supplied to the NI 
 
 // ------------------ TouchScreen ----------------------------- -----------------
 // One of the #defines should be uncommented
 // if both are commented, the touch is disabled
 #define SetTouch1 // turn on the touch where analog signals are used
 // #define SetTouch2 // enable the touch where the SPI interface is used
  // ------------------------------------------------ ----------------------------
#if defined (SetTouch1) || defined (SetTouch2) // if touch is used
  #define Set_Touch 
#endif
// Section STANDARD buttons, connection pins --------------
#ifndef SetAltPin
  #define RelayPin1 7 // assign the pin of the "UP" heater
  #define RelayPin2 6 // assign the pin of the "LOWER" heater
  #define P1_PIN 9 // assign pin of relay 1
  #define P2_PIN 10 // assign pin of relay 2
  #define P3_PIN 11 // assign pin of relay 3
  #define P4_PIN 12 // assign relay pin 4
  #define buzzerPin 8 // pin for buzzer
  #define Knopki A0 // pin for connecting an analog keyboard
  // assign the pins of the MAX6675 thermocouple amplifier "UP" heater clk = sck cs = cs do = so
  #define thermoCLK 17 // = sck
  #define thermoCS_T 18 // = cs
  #define thermoDO 19 // = so
  // assign the pins of the MAX6675 thermocouple amplifier "LOWER" heater clk = sck cs = cs do = so
  #define thermoCLK2 14 // = sck
  #define thermoCS_B 15 // = cs
  #define thermoDO2 16 // = so 

// Section ALTERNATIVE buttons, connection pins ---------------------------
#else
  #define RelayPin1 7 // assign the pin of the "UP" heater
  #define RelayPin2 6 // assign the pin of the "LOWER" heater
  #define P1_PIN 9 // assign pin of relay 1
  #define P2_PIN 10 // assign pin of relay 2
  #define P3_PIN 11 // assign pin of relay 3
  #define P4_PIN 12 // assign relay pin 4
  #define buzzerPin 8 // pin for buzzer
  #define Knopki A5 // pin for connecting an analog keyboard
  // assign the pins of the MAX6675 thermocouple amplifier "UP" heater clk = sck cs = cs do = so
  #define thermoCS_T 15 // = cs
  // assign the pins of the MAX6675 thermocouple amplifier "LOWER" heater clk = sck cs = cs do = so
  #define thermoCS_B 17 // = cs
  //
  #define thermoCLK 14 // = sck
  #define thermoDO 16 // = so
  // --------------------------------------
  #define thermoCLK2 thermoCLK
  #define thermoDO2 thermoDO
#endif
// ------------ Encoder --------------------------------
#define BTN_OK A8 // Encoder button 
#define Enc_Clk A10
#define Enc_DT A9
#define ROTARYSTEPS 1 
// --------- Relay control ------------------------------
#define SetReleNull // if uncommented then the relay is turned on "0", otherwise "1"
  #ifdef SetReleNull
    #define SetReleON LOW
    #define SetReleOFF HIGH
   #else
    #define SetReleON HIGH 
    #define SetReleOFF LOW 
  #endif
// ------------------------------------------------ ------
// if zero detector is not used, comment out both options
// and the program timer will be used (the MsTimer2.h library is needed)
// download from the link https://github.com/PaulStoffregen/MsTimer2
//
// pin assignment of the ZCC zero detector
// #define SetInterrupt 0 // connect to pin 2
// #define SetInterrupt 1 // connect to pin 3
#ifndef SetInterrupt
  #include <MsTimer2.h>  
#endif
// ------------------------------------------------ ------
// expected values ​​for pseudo buttons
#define SetRIGHT 144
#define SetUP 353
#define SetDOWN 711
#define SetLEFT 569
#define SetSELECT 4
// ------------------------------------------------ ------
// correction of thermocouple readings
// instead of 0 we put + - number
#define Corect_T 0 // upper heater thermocouple
#define Corect_B 0 // bottom heater thermocouple
// ------------------------------------------------ ------